<?php

/**
 * @package     Joomla.Site
 * @subpackage  com_monetka
 *
 * @copyright   (C) 2025 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

namespace Xstartx\Component\Monetka\Site\Service;

use Joomla\CMS\Categories\Categories;

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

/**
 * Monetka Component Category Tree
 *
 * @since  1.6
 */
class Category extends Categories
{
    /**
     * Constructor
     *
     * @param   array  $options  Array of options
     *
     * @since   1.6
     */
    public function __construct($options = [])
    {
        // Задаем таблицу и расширение для категорий компонента "Монетка"
        $options['table']     = '#__monetka_items';
        $options['extension'] = 'com_monetka';

        parent::__construct($options);
    }
}
 
