<?php

\defined('_JEXEC') or die;

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Language\Text;

HTMLHelper::_('behavior.formvalidator');
HTMLHelper::_('bootstrap.tooltip');
?>
<form action="<?php echo Route::_('index.php?option=com_monetka&task=cryptocurrencies.save'); ?>" method="post" name="adminForm" id="adminForm" class="form-validate">
    <div class="form-horizontal">
        <fieldset class="adminform">
            <legend><?php echo Text::_('COM_MONETKA_CRYPTOS_EDIT_TITLE'); ?></legend>
            <div class="row">
                <div class="col-md-6">
                    <?php echo $this->form->renderField('name'); ?> <!-- Поле "Имя" -->
                    <?php echo $this->form->renderField('symbol'); ?> <!-- Поле "Символ" -->
                </div>
                <div class="col-md-6">
                    <?php echo $this->form->renderField('price_rub'); ?> <!-- Поле "Цена в рублях" -->
                    <?php echo $this->form->renderField('price_usd'); ?> <!-- Поле "Цена в долларах" -->
                </div>
            </div>
        </fieldset>
    </div>

    <!-- Кнопки действий -->
    <div class="btn-toolbar">
        <div class="btn-group">
            <button type="button" class="btn btn-success" onclick="Joomla.submitbutton('cryptocurrencies.save')">
                <?php echo Text::_('JSAVE'); ?>
            </button>
            <button type="button" class="btn btn-primary" onclick="Joomla.submitbutton('cryptocurrencies.save2close')">
                <?php echo Text::_('JSAVE_AND_CLOSE'); ?>
            </button>
            <button type="button" class="btn btn-info" onclick="Joomla.submitbutton('cryptocurrencies.save2new')">
                <?php echo Text::_('JSAVE_AND_NEW'); ?>
            </button>
            <button type="button" class="btn btn-danger" onclick="Joomla.submitbutton('cryptocurrencies.cancel')">
                <?php echo Text::_('JCANCEL'); ?>
            </button>
        </div>
    </div>

    <input type="hidden" name="task" value="">
    <?php echo HTMLHelper::_('form.token'); ?>
</form>

